← Back to API Reference

/nonces

Tag: nonces

getTable for storing one-time tokens with enhanced security and audit features

Parameters

NameInTypeFormatRequiredDescription
idquerystring
client_tokenquerystring
noncequerystring
user_idquerystring
purposequerystring
expires_atquerystring
created_atquerystring
used_atquerystring
revokedquerystring
revoked_reasonquerystring
verification_attemptsquerystring
last_verification_atquerystring
last_verification_ipquerystring
last_verification_user_agentquerystring
metadataquerystring
scopesquerystring
selectquerystringFiltering Columns
orderquerystringOrdering
RangeheaderstringLimiting and Pagination
Range-UnitheaderstringLimiting and Pagination
offsetquerystringLimiting and Pagination
limitquerystringLimiting and Pagination
PreferheaderstringPreference

Example

bash
curl "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/nonces?select=*&limit=10" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

200OK
206Partial Content

postTable for storing one-time tokens with enhanced security and audit features

Parameters

NameInTypeFormatRequiredDescription
noncesbodyobjectnonces
selectquerystringFiltering Columns
PreferheaderstringPreference

Example

bash
curl -X POST "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/nonces" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{
  "client_token": "example",
  "nonce": "example",
  "purpose": "example",
  "expires_at": "2026-01-01T00:00:00Z",
  "revoked": true
}'

Responses

201Created

patchTable for storing one-time tokens with enhanced security and audit features

Parameters

NameInTypeFormatRequiredDescription
idquerystring
client_tokenquerystring
noncequerystring
user_idquerystring
purposequerystring
expires_atquerystring
created_atquerystring
used_atquerystring
revokedquerystring
revoked_reasonquerystring
verification_attemptsquerystring
last_verification_atquerystring
last_verification_ipquerystring
last_verification_user_agentquerystring
metadataquerystring
scopesquerystring
noncesbodyobjectnonces
PreferheaderstringPreference

Example

bash
curl -X PATCH "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/nonces?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{"client_token": "example"}'

Responses

204No Content

deleteTable for storing one-time tokens with enhanced security and audit features

Parameters

NameInTypeFormatRequiredDescription
idquerystring
client_tokenquerystring
noncequerystring
user_idquerystring
purposequerystring
expires_atquerystring
created_atquerystring
used_atquerystring
revokedquerystring
revoked_reasonquerystring
verification_attemptsquerystring
last_verification_atquerystring
last_verification_ipquerystring
last_verification_user_agentquerystring
metadataquerystring
scopesquerystring
PreferheaderstringPreference

Example

bash
curl -X DELETE "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/nonces?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

204No Content

Schema

Table for storing one-time tokens with enhanced security and audit features

ColumnTypeFormatNullableDefaultNotes
idPK
stringuuidgen_random_uuid()This is a Primary Key.
client_token
stringtext
nonce
stringtext
user_id
stringuuid
purpose
stringtext
expires_at
stringtimestamp with time zone
created_at
stringtimestamp with time zonenow()
used_at
stringtimestamp with time zone
revoked
booleanboolean
revoked_reason
stringtext
verification_attempts
integerinteger0
last_verification_at
stringtimestamp with time zone
last_verification_ip
stringinet
last_verification_user_agent
stringtext
metadata
objectjsonb
scopes
arraytext[]